import * as __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__ from "@tachybase/test/e2e";
(0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test)('selects the checkbox of a table row and deletes the selected row', async (param)=>{
    let { page, mockPage, mockRecords } = param;
    const nocoPage = await mockPage(__WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.checkboxForTableRow).waitForInit();
    const records = await mockRecords('t_fhdhd0nk7b9', 3);
    await nocoPage.goto();
    await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(page.getByText(records[0].f_vbrlno0zej9)).toBeVisible();
    await page.getByLabel('table-index-1').hover();
    await page.getByRole('checkbox', {
        name: 'checkbox'
    }).click();
    await page.getByLabel('action-Action-Delete-destroy-t_fhdhd0nk7b9-table').click();
    await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(page.getByText('Are you sure you want to delete it?')).toBeVisible();
    await page.getByRole('button', {
        name: 'OK',
        exact: true
    }).click();
    await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(page.getByText(records[0].f_vbrlno0zej9)).not.toBeVisible();
});
